﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.fj
{
    public class BomInfoTransRequest:BaseRequest
    {
        /// <summary>
        /// 总生产工单号
        /// </summary>
        public string BillCode { get; set; }
        /// <summary>
        /// 帘线物料编码
        /// </summary>
        public string ProMatCode { get; set; }
        /// <summary>
        /// BOM编码
        /// </summary>
        public string BomCode { get; set; }
        /// <summary>
        /// 湿拉物料信息列表
        /// </summary>
        public List<BomInfoTransRequestItem> MaterList { get; set; }
    }
    public class BomInfoTransRequestItem
    {
        /// <summary>
        /// 湿拉物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 轮子个数
        /// </summary>
        public int Count { get; set; }
    }
}
