﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.hj
{
    /// <summary>
    /// 镀铜满轮入库/550工字轮入库反馈请求
    /// </summary>
    public class CopperLineStockInFeedBackRequest
    {
        public List<CopperLineStockInFeedBackItem> ListInfo { get; set; }
    }
    public class CopperLineStockInFeedBackItem
    {
        /// <summary>
        /// 满轮RFID值
        /// </summary>
        public string RFID { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 总重量
        /// </summary>
        public decimal TolWeight { get; set; }
        /// <summary>
        /// 净重
        /// </summary>
        public decimal NetWeight { get; set; }
        /// <summary>
        /// 皮重
        /// </summary>
        public decimal TareWeight { get; set; }
        /// <summary>
        /// 货位编码
        /// </summary>
        public string LocCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
        /// <summary>
        /// 仓库名称
        /// </summary>
        public string WareName { get; set; }
    }
}
