﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.hj
{
    /// <summary>
    /// 移库货位上报MES请求
    /// </summary>
    public class MoveStockFeedBackRequest
    {
        /// <summary>
        /// 列表
        /// </summary>
        public List<MoveStockFeedBackRequestItem> ListInfo { get; set; }
        public string WareCode { get; set; }
    }
    public class MoveStockFeedBackRequestItem
    {
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// RFID值
        /// </summary>
        public string RFID { get; set; }
        /// <summary>
        /// 起点货位
        /// </summary>
        public string StartLoc { get; set; }
        /// <summary>
        /// 目标货位
        /// </summary>
        public string EndLoc { get; set; }
        public string WareCode { get; set; }


    }
}
