﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.share
{
    public class CompleteTaskRequest
    {
        /// <summary>
        /// WMS任务号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public int TaskNum { get; set; }
        /// <summary>
        /// 操作类型（1.自动完成 2.手动完成）
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public int OperationType { get; set; }
        /// <summary>
        /// WCS操作人名称
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WCSUpdateName { get; set; }
        /// <summary>
        /// 备用
        /// </summary>
        public string Memo1 { get; set; }
        /// <summary>
        /// 备用
        /// </summary>
        public string Memo2 { get; set; }
    }
}
