﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.response
{
    public class EsbRes
    {
        public HeadersRes HTTPResponseHeader { get; set; }
        public string Body { get; set; }
    }

    public class HeadersRes
    {
        [JsonProperty("content-type")]
        public string ContentType { get; set; } = "application/json;charset=utf-8";
        /// <summary>
        /// 响应状态（1成功 0失败）
        /// </summary>
        public string statusFlag { get; set; } = "1";
        public string requestId { get; set; }
        public string esbCode { get; set; }
        public string esbDesc { get; set; }
    }

}
