﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.fj
{
    /// <summary>
    ///  日志记录表
    /// </summary>
    [Tenant("fj")]
    [SugarTable("Bill_Log")]
    public partial class BillLog
    { 

        /// <summary> 
        /// TypeNum
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int TypeNum { get; set; }

        /// <summary> 
        /// AppTypeNum
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int AppTypeNum { get; set; }

        /// <summary> 
        /// ContentText
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 1000  , IsNullable = true )]
        public string ContentText { get; set; }

        /// <summary> 
        /// Method
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 200  , IsNullable = true )]
        public string Method { get; set; }

        /// <summary> 
        /// IsSucc
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsSucc { get; set; }

        /// <summary> 
        /// ReqUrl
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 200  , IsNullable = true )]
        public string ReqUrl { get; set; }

        /// <summary> 
        /// MethodText
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 200  , IsNullable = true )]
        public string MethodText { get; set; }

        /// <summary> 
        /// ParamJson
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , IsNullable = true )]
        public string ParamJson { get; set; }

        /// <summary> 
        /// Ip
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 200  , IsNullable = true )]
        public string Ip { get; set; }

        /// <summary> 
        /// Host
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 200  , IsNullable = true )]
        public string Host { get; set; }

        /// <summary> 
        /// Browser
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 200  , IsNullable = true )]
        public string Browser { get; set; }

        /// <summary> 
        /// RunMs
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = true )]
        public long? RunMs { get; set; }

        /// <summary> 
        /// LogTime
        /// </summary> 
        [SugarColumn(ColumnDataType ="datetime" ,  IsNullable = false )]
        public DateTime LogTime { get; set; }

        /// <summary> 
        /// LogWho
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string LogWho { get; set; }


    }
}

