﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.pt
{
    [Tenant("pt")]
    [SugarTable("sys_config", "配置信息表")]
    public class ptSysConfig : BaseModel
    {
        [SugarColumn(ColumnName = "code", Length = 100)]
        public string Code { get; set; }
        [SugarColumn(ColumnName = "name", Length = 100)]
        public string Name { get; set; }
        [SugarColumn(ColumnName = "scontent", Length = 100)]
        public string SContent { get; set; }
        [SugarColumn(ColumnName = "stype", Length = 50)]
        public string SType { get; set; }
        [SugarColumn(ColumnName = "default1", Length = 100, IsNullable = true)]
        public string Default1 { get; set; }
        [SugarColumn(ColumnName = "default2", Length = 100, IsNullable = true)]
        public string Default2 { get; set; }
        [SugarColumn(ColumnName = "default3", Length = 100, IsNullable = true)]
        public string Default3 { get; set; }
    }
}
