﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    [Tenant("sx")]
    [SugarTable("bill_machine_info", "机台信息表")]
    public class sxBillMachineInfo : BaseModel
    {
        /// <summary>
        /// 机台号
        /// </summary>
        [SugarColumn(ColumnName = "wb_code", ColumnDataType = "nvarchar", Length = 50)]
        public string WbCode { get; set; }
        /// <summary>
        /// 机台名称
        /// </summary>
        [SugarColumn(ColumnName = "wb_name", ColumnDataType = "nvarchar", Length = 100)]
        public string WbName { get; set; }
        /// <summary>
        /// 机台组
        /// </summary>
        [SugarColumn(ColumnName = "wb_group_code", ColumnDataType = "nvarchar", Length = 100)]
        public string WbGroupCode { get; set; }
        /// <summary>
        /// 优先分配分拣库序号
        /// </summary>
        [SugarColumn(ColumnName = "ware_code", ColumnDataType = "nvarchar", Length = 50)]
        public string WareCode { get; set; }
        /// <summary>
        /// AGV托盘位
        /// </summary>
        [SugarColumn(ColumnName = "station", ColumnDataType = "nvarchar", Length = 50)]
        public string Station { get; set; }
        /// <summary>
        /// 左/右手车
        /// </summary>
        [SugarColumn(ColumnName = "direction", ColumnDataType = "nvarchar", Length = 50)]
        public string Direction { get; set; }
    }
}
