﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.fj
{
    public class CurtainProductionStockOutFeedBackRequest
    {
        /// <summary>
        /// 帘线工单号
        /// </summary>
        public string BillCode { get; set; }
        /// <summary>
        /// 过账凭证号
        /// </summary>
        public string ReqId { get; set; }
        /// <summary>
        /// 货位
        /// </summary>
        public string LocCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
        /// <summary>
        /// 仓库名称
        /// </summary>
        public string WareName { get; set; }
        public List<CurtainProductionStockOutFeedBackRequestItem> ListInfo { get; set; }
    }
    public class CurtainProductionStockOutFeedBackRequestItem
    {
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 工字轮条码
        /// </summary>
        public string SpoolCode { get; set; }
    }
}
