﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.hj
{
    /// <summary>
    /// 湿拉生产退料/余料反馈请求
    /// </summary>
    public class WetLineBackInFeedBackRequest
    {
        ///// <summary>
        ///// 仓库编码
        ///// </summary>
        //public string WareCode { get; set; }
        ///// <summary>
        ///// 仓库名称
        ///// </summary>
        //public string WareName { get; set; }
        ///// <summary>
        ///// 业务类型
        ///// </summary>
        //public string BusType { get; set; }
        /// <summary>
        /// 反馈信息列表
        /// </summary>
        public List<WetLineBackInFeedBackRequestItem> ListInfo { get; set; }
    }
    public class WetLineBackInFeedBackRequestItem
    {
        /// <summary>
        /// RFID值
        /// </summary>
        public string RFID { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 重量
        /// </summary>
        public decimal Weight { get; set; }
        /// <summary>
        /// 货位编码
        /// </summary>
        public string LocCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
        /// <summary>
        /// 仓库名称
        /// </summary>
        public string WareName { get; set; }
        /// <summary>
        /// 业务类型
        /// </summary>
        public string BusType { get; set; }
    }
}
