﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.response.fj
{
    public class SyncMachineInfoResponse:SRes
    {
        public int TotalCount { get; set; }
        public List<SyncMachineInfoResponseItem> ResData { get; set; }
    }
    public class SyncMachineInfoResponseItem
    {
        /// <summary>
        /// 机台编号
        /// </summary>
        public string MacCode { get; set; }
        /// <summary>
        /// 机台名称
        /// </summary>
        public string MacName { get; set; }
        /// <summary>
        /// 机台组号
        /// </summary>
        public string MacGroup { get; set; }
        /// <summary>
        /// 左右手
        /// </summary>
        public string Direction { get; set; }
        /// <summary>
        /// 关联AGV位置码
        /// </summary>
        public string LocCode { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime UpdatedTime { get; set; } 
    }
}
