﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.cp
{
    [Tenant("cp")]
    [SugarTable("base_equipment", "设备档案")]
    public class cpBaseEquipment : BaseModel
    {
        [SugarColumn(ColumnName = "code", Length = 30)]
        public string Code { get; set; }
        [SugarColumn(ColumnName = "name", Length = 30, ColumnDataType = "nvarchar")]
        public string Name { get; set; }
        [SugarColumn(ColumnName = "ip", Length = 30, IsNullable = true)]
        public string Ip { get; set; }
        [SugarColumn(ColumnName = "equip_state", Length = 50)]
        public string EquipState { get; set; }
        [SugarColumn(ColumnName = "equip_type", Length = 50)]
        public string EquipType { get; set; }
        [SugarColumn(ColumnName = "alarm_info", Length = 500, IsNullable = true)]
        public string AlarmInfo { get; set; }
        [SugarColumn(ColumnName = "tunnel", Length = 10, IsNullable = true)]
        public string Tunnel { get; set; }
        [SugarColumn(ColumnName = "warehouse_id", IsNullable = true)]
        public long WarehouseId { get; set; }
        [SugarColumn(ColumnName = "def_zone", Length = 30, IsNullable = true)]
        public string DefZone { get; set; }
      
        [SugarColumn(ColumnName = "alarm_time")]
        public DateTime AlarmTime { get; set; }
        [SugarColumn(ColumnName = "last_time")]
        public DateTime LastTime { get; set; }
    }
}
