﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.fj
{
    [Tenant("fj")]
    [SugarTable("base_ware_zone", "库区表")]
    public class fjBaseWareZone : BaseModel
    {
        /// <summary>
        /// 库区编码
        /// </summary>
        [SugarColumn(ColumnName = "code", ColumnDataType = "nvarchar", Length = 50)]
        public string Code { get; set; }
        /// <summary>
        /// 库区名称
        /// </summary>
        [SugarColumn(ColumnName = "name", ColumnDataType = "nvarchar", Length = 100)]
        public string Name { get; set; }
        /// <summary>
        /// 仓库id
        /// </summary>
        [SugarColumn(ColumnName = "ware_id")]
        public long WareId { get; set; }
        /// <summary>
        ///  库区状态
        /// </summary>
        [SugarColumn(ColumnName = "zone_state", ColumnDataType = "nvarchar", Length = 50)]
        public string WZoneState { get; set; }
    }
}
