﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model
{
    [Tenant("hj")]
    [SugarTable("base_container", "物料基础信息表")]
    public class hjBaseContainer:BaseModel
    {
        /// <summary>
        /// 容器编码
        /// </summary>
        [SugarColumn(ColumnName = "code", ColumnDataType = "nvarchar", Length = 100)]
        public string Code { get; set; }
        /// <summary>
        /// 容器名称
        /// </summary>
        [SugarColumn(ColumnName = "name", ColumnDataType = "nvarchar", Length = 100)]
        public string Name { get; set; }
        /// <summary>
        /// 容器类型
        /// </summary>
        [SugarColumn(ColumnName = "container_type", ColumnDataType = "nvarchar", Length = 100)]
        public string ContainerType { get; set; }
        /// <summary>
        /// 容器描述
        /// </summary>
        [SugarColumn(ColumnName = "desc", ColumnDataType = "nvarchar", Length = 200, IsNullable = true)]
        public string Desc { get; set; }
        /// <summary>
        /// 行停用（0正常 1停用）
        /// </summary>
        [SugarColumn(ColumnName = "row_stop")]
        public int RowStop { get; set; } = 0;
    }
}
